Bug 112066 - RHEL3 U5: Support for SATA features of ICH6R (for U3, AHCI only)
RHEL3 U5: Support for SATA features of ICH6R (for U3, AHCI only)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Jay Turner
IT_30413, IT26012, IT_43786, IT_36659
Kernel
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2003-12-13 17:04 EST by Susan Denham
Modified: 2015-01-07 19:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 10:34:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Susan Denham 2003-12-13 17:04:32 EST
H/W availability: Prototype units will becoming available starting in late
January. HP has plans to make systems available to RH.
Comment 2 Tim Burke 2003-12-15 12:12:53 EST

*** This bug has been marked as a duplicate of 112064 ***
Comment 3 Susan Denham 2004-01-19 18:04:43 EST
We thought that this was a dup of 112064, but it isn't.  112064 is SATA RAID
support for ICH6-R.  This request is for ICH6 SATA.  
Comment 4 Tim Burke 2004-01-26 12:04:34 EST
Putting back into needinfo.  Pending hardware and patches.
Comment 5 Susan Denham 2004-02-09 10:10:34 EST
This is a dup of 112064.  Closing.

*** This bug has been marked as a duplicate of 112064 ***
Comment 6 Susan Denham 2004-02-09 15:59:15 EST
I mistakenly closed this -- again -- as a dup of 112064.  It's not.  112064 is
SATA RAID support for ICH6R.  This request is for ICH6R SATA.  Two different
things.  And THIS one, ICH6R SATA, is waiting (as is 112064) for:

1.  ICH6 hardware from Intel (being shipped to Jeff in Raleigh overnight today,
to arrive Tuesday, 2/10.)

Jeff:  are you waiting for anything else from Intel?

Comment 7 Susan Denham 2004-02-09 16:29:36 EST
Steve Carbonari says that if you have 1) hardware 2) specs (both of which he
has), that because Jeff wrote the original driver in the first place and is
maintainer of the code, he doesn't need a patch from Intel.  Correct assumption?  
Comment 8 Tim Burke 2004-02-26 15:14:00 EST
As we hit code freeze, the AHCI driver mode doesn't yet work. However, Sue
confirmed w/ Dell that AHCI isn't needed in U2 and that they can wait for a
later update. So in lieu of AHCI, simple or compat mode will be used.  (Which
may require a release note on the part of Dell to instruct their customers to
set that BIOS setting.)

AHCI will be a U3 item.
Comment 9 Susan Denham 2004-02-26 15:23:20 EST
Tim:  This was PRELIMINARY FEEDBACK from Dell, who's still checking and will get
back to me today!  No word yet from HP!
Comment 10 Susan Denham 2004-02-27 16:19:24 EST
Dell okay with simple or compat mode.  HP discussion follows:

We asked HP w/s group (Daryl Poe):

>"Will your ICH6 machines ship configured in full AHCI mode? (yes/no)"

No.   AHCI mode will in all likelyhood not be needed by us (HP
Workstations) until Update 3 or RHEL4.   

Daryl

PS:  Now, AHCI aside, there is an expectation that ICH5R/ICH6R SATA
performance on Update 2 will be in the same ballpark (or better) than
good 'ole IDE drives.    We were seeing terrible performance with a
combination of early software and early hardware...

And per Jeff Garzik:

It will not be faster.  The SATA spindles are the same as PATA spindles,
just with a different circuit board on top.

Now, with AHCI and native command queueing, things will get a lot
faster...

        Jeff


Comment 13 Jeff Garzik 2004-06-14 13:46:11 EDT
*** Bug 117067 has been marked as a duplicate of this bug. ***
Comment 15 Ernie Petrides 2004-06-23 07:17:33 EDT
A fix for this problem has just been committed to the RHEL3 U3
patch pool this evening (in kernel version 2.4.21-15.16.EL).
Comment 16 Larry Troan 2004-07-16 09:03:25 EDT
Opened FZ Bug 128015 to track AHCI support in ICH6 for RHEL3.
Comment 17 Susan Denham 2004-08-23 16:53:28 EDT
ACHI support didn't make it into RHEL 3 U3, so keeping this open and changing
summary line to U4.  MODIFIED comment in #15 is incorrect, per JGarzik.  Several
ICH5R and ICH6R features made it into RHEL 3 U3, but AHCI wasn't one of them,
per Jeff.

Larry:  I'm closing 128015 as a DUP of this one and capturing your HP comments here:

From Daryl Poe, HP workstations:  SATA drives with AHCI should be coming into
wider use in this timeframe.  Have seen that "Preliminary driver with full AHCI
support now exists, and is being integrated into libata mainline.[JG]".

(Is this feature not available with ICH5?)

Also:  doesn't it lead to better ICH6 performance?

Raising priority: on HP HIH list
Comment 18 Susan Denham 2004-08-23 16:54:16 EDT
*** Bug 128015 has been marked as a duplicate of this bug. ***
Comment 19 John Flanagan 2004-09-02 00:31:00 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-433.html
Comment 27 Ernie Petrides 2005-12-01 20:39:11 EST
The SATA update that resolves this has just been committed to the
RHEL3 U7 patch pool this evening (in kernel version 2.4.21-38.EL).
Comment 31 Red Hat Bugzilla 2006-03-15 10:34:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.